Subject: Re: bug#63764: 30.0.50; pixel-scroll-precision-mode starts skipping pages after selecting region

From: Patrick Poitras <[email-masked]>
Date: Sun, 28 May 2023 10:52:13 -0700

Given it's 100% reproducible on my build, I went ahead with some testing of
configuration options.

It seems related to PGTK. ./configure --with-pgtk has the bug whereas the
version without it does not. Given the warning message about using PGTK
with X11, I assume that this falls under the same umbrella, and that I
should go complain to the package builders.

Let me know if there's anything more to look at.
Patrick

On Sun, May 28, 2023 at 1:23 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Patrick Poitras <[email-masked]>
> > Date: Sat, 27 May 2023 22:16:31 -0700
> >
> > Start emacs with `emacs -Q`
> >
> > M-x pixel-scroll-precision-mode
> >
> > Scroll a large buffer, works great.
> >
> > Click and drag to select a region in the buffer. Click somewhere else in
> the buffer. to unselect it.
> > Scrolling around will now randomly skip entire pages after scrolling 4-5
> lines. This makes the mode
> > unusable.
>
> I cannot reproduce this, FWIW.  The effect of scrolling is the same
> before and after selecting a region.
>
> Perhaps this is one more effect of known (and not yet solved) issues
> with native-compilation?  My Emacs was build without it.
>